libcamera v0.3.2 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
Public Attributes | List of all members
libcamera::ipa::CameraSensorHelper::AnalogueGainConstants Struct Reference

Analogue gain model constants. More...

Collaboration diagram for libcamera::ipa::CameraSensorHelper::AnalogueGainConstants:
[legend]

## Public Attributes
AnalogueGainLinearConstants | linear
| Constants for the linear gain model.
AnalogueGainExpConstants | exp
| Constants for the exponential gain model.

## Detailed Description

Analogue gain model constants.

This union stores the constants used to calculate the analogue gain. The CameraSensorHelper::gainType_ variable selects which union member is valid.

The documentation for this struct was generated from the following files:

- src/ipa/libipa/camera_sensor_helper.h
- src/ipa/libipa/camera_sensor_helper.cpp